import { ShellString } from 'shelljs';
export declare const safePackageName: (name: string) => string;
export declare const chooseTemplatePrompt: any;
export declare const getPackageTemplateType: (template: CLI.Setup.GenerateOptionType | undefined, onInvalidTemplate: CLI.Common.EmptyFn) => Promise<CLI.Setup.GenerateOptionType>;
export declare const composePackageJson: ({ author, name, hostName, license, template }: Pick<CLI.Package.HostPackageJSON, "name" | "author" | "license"> & {
    hostName: string;
    template: CLI.Setup.GenerateOptions;
}) => CLI.Package.PackagePackageJSON;
export declare const buildPackage: () => ShellString;
export declare const updatePackageJsonWorkspacesDeclaration: ({ packageJson, packageJsonPath, packages, setupPath, packageName }: {
    packageJson: CLI.Package.HostPackageJSON;
    packageJsonPath: string;
    packages: string[];
    setupPath: string;
    packageName: string;
}) => Promise<void>;
