import { ShellString } from 'shelljs';
export declare const sortPackageJson: () => ShellString;
export declare const createPackageJson: ({ dir, preset }: {
    dir: string;
    preset: CLI.Package.PackagePackageJSON | CLI.Package.HostPackageJSON;
}) => Promise<void>;
export declare const getAuthor: () => Promise<CLI.Package.Author>;
export declare const copyTemplate: ({ dir, bin, template }: {
    dir: string;
    template: CLI.Setup.GenerateOptionType | CLI.Setup.NewOptionType;
    bin: 'generate' | 'new';
}) => Promise<void>;
export declare const preventFolderCollisions: ({ basePath, name, onPromptMessage, onPromptInitial }: {
    basePath: string;
    name: string;
    onPromptMessage: (name: string) => string;
    onPromptInitial: (name: string) => string;
}) => Promise<string>;
