"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotFoundPackageError = exports.NotFoundHostError = void 0;
var tslib_1 = require("tslib");
var package_const_1 = require("../constants/package.const");
var NotFoundHostError = /** @class */ (function (_super) {
    tslib_1.__extends(NotFoundHostError, _super);
    function NotFoundHostError() {
        var _this = _super.call(this, "\n    \n    Can't find workspace\n    Make sure you run the script inside the project\n      ") || this;
        _this.isNotFoundHostError = true;
        _this.name = 'Not Found Workspace Error';
        return _this;
    }
    return NotFoundHostError;
}(Error));
exports.NotFoundHostError = NotFoundHostError;
var NotFoundPackageError = /** @class */ (function (_super) {
    tslib_1.__extends(NotFoundPackageError, _super);
    function NotFoundPackageError() {
        var _this = _super.call(this, "\n    \n    Can't find workspace package\n    Make sure you run the script inside the package\n        \n    The workspace " + package_const_1.PACKAGE_JSON + " should have:\n        workspace: true;\n        private: false;\n      ") || this;
        _this.isNotFoundPackageError = true;
        _this.name = 'Not Found Workspace Error';
        return _this;
    }
    return NotFoundPackageError;
}(Error));
exports.NotFoundPackageError = NotFoundPackageError;
