import { ShellString } from 'shelljs';
export declare const readWorkspacePackages: (packagesInfo: CLI.Package.PackageInfo[]) => Promise<CLI.Package.BasePackageJSON[]>;
export declare const splitWorkspaceIntoDependencyGraph: (workspaces: Pick<CLI.Package.PackagePackageJSON, 'name' | 'dependencies' | 'devDependencies' | 'peerDependencies'>[]) => {
    chunks: CLI.Workspaces.WorkspaceChunk[];
    unprocessed: CLI.Workspaces.UnprocessedWorkspace[];
};
export declare const getExternalScreen: ({ dependencies, peerDependencies, devDependencies }: Partial<{
    dependencies: CLI.Package.Dependencies;
    peerDependencies: CLI.Package.Dependencies;
    devDependencies: CLI.Package.Dependencies;
}>) => (id: string) => boolean;
export declare const installDependencies: () => ShellString;
