"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cleanDistFolder = exports.readPackageJson = exports.readTsconfigJson = void 0;
var tslib_1 = require("tslib");
var fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
var path_1 = tslib_1.__importDefault(require("path"));
var package_const_1 = require("../constants/package.const");
var readTsconfigJson = function (dir) { return fs_extra_1.default.readJSON(path_1.default.resolve(dir, package_const_1.TSCONFIG_JSON)); };
exports.readTsconfigJson = readTsconfigJson;
var readPackageJson = function (dir) {
    return fs_extra_1.default.readJSON(path_1.default.resolve(dir, package_const_1.PACKAGE_JSON));
};
exports.readPackageJson = readPackageJson;
var cleanDistFolder = function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
    var cwd, distPath;
    return tslib_1.__generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                cwd = process.cwd();
                distPath = path_1.default.resolve(cwd, 'dist');
                return [4 /*yield*/, fs_extra_1.default.remove(distPath)];
            case 1:
                _a.sent();
                return [2 /*return*/];
        }
    });
}); };
exports.cleanDistFolder = cleanDistFolder;
